/**
 * ActClassROI2.java
 *
 * File generated from the medication2::ActClassROI2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActClassROI2.
 *
 * 
 */

@XmlType(name = "ActClassROI")
@XmlEnum
@XmlRootElement(name = "ActClassROI2")
public enum ActClassROI2 {
	@XmlEnumValue("ROIBND")
	ROIBND("ROIBND"),
	@XmlEnumValue("ROIOVL")
	ROIOVL("ROIOVL");
	
	private final String value;

    ActClassROI2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ActClassROI2 fromValue(String v) {
        for (ActClassROI2 c: ActClassROI2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
